// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#pragma once

#include "CoreMinimal.h"
#include "Styling/SlateStyle.h"

/**
 * A customized set of SlateStylesSet for Simplygon Plugin
*/
class SIMPLYGONCONTENT_API FSimplygonStyle
{
public:
	static void Initialize();

	static void Shutdown();

	static const ISlateStyle& Get();
	static void ReloadTextures();

	static FName GetStyleSetName();

private:

	static TSharedRef< class FSlateStyleSet > Create();
	static FString InResources(const FString& RelativePath, const ANSICHAR* Extension);

private:
	static TSharedPtr< class FSlateStyleSet > StyleSet;
};
